TagLibraryApi (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.api

## [Java] Class TagLibraryApi

- org.codehaus.groovy.grails.plugins.web.api.TagLibraryApi

- API for Tag libraries in a Grails application.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommonWebApi` | `RAW_CODEC_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TagLibraryApi ()`
    `TagLibraryApi (GrailsPluginManager pluginManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsPrintWriter` | `getOut(java.lang.Object instance)` Obtains the currently output writer
    `GroovyPageBinding` | `getPageScope(java.lang.Object instance)` Obtains the page scope instance
    `TagLibraryLookup` | `getTagLibraryLookup()`
    `java.lang.Object` | `methodMissing(java.lang.Object instance, java.lang.String methodName, java.lang.Object argsObject)` Method missing implementation that handles tag invocation by method name
    `java.lang.Object` | `propertyMissing(java.lang.Object instance, java.lang.String name)` Prpoerty missing implementation that looks up tag library namespaces or tags in the default namespace
    `void` | `setGspTagLibraryLookup(TagLibraryLookup lookup)`
    `void` | `setOut(java.lang.Object instance, java.io.Writer newOut)` Sets the current output writer
    `void` | `setTagLibraryLookup(TagLibraryLookup lookup)`
    `void` | `throwTagError(java.lang.Object instance, java.lang.String message)` Throws a GrailsTagException
    `java.lang.Object` | `withCodec(java.lang.Object instance, java.lang.Object codecInfo, groovy.lang.Closure<?> body)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommonWebApi` | `currentRequestAttributes, getActionName, getApplicationContext, getControllerClass, getControllerName, getControllerNamespace, getFlash, getGrailsApplication, getGrailsAttributes, getParams, getPluginContextPath, getRequest, getResponse, getServletContext, getSession, getWebRequest, raw, setApplicationContext, setGrailsApplication, setServletContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public TagLibraryApi()

    - #### public TagLibraryApi(GrailsPluginManager pluginManager)

  - ### Method Detail

    - #### public GrailsPrintWriter getOut(java.lang.Object instance)

      Obtains the currently output writer

      Parameters:
        `instance` - The tag library instance
      Returns:
        The writer to use

    - #### public GroovyPageBinding getPageScope(java.lang.Object instance)

      Obtains the page scope instance

      Parameters:
        `instance` - The tag library
      Returns:
        The page scope instance

    - #### public TagLibraryLookup getTagLibraryLookup()

    - #### public java.lang.Object methodMissing(java.lang.Object instance, java.lang.String methodName, java.lang.Object argsObject)

      Method missing implementation that handles tag invocation by method name

      Parameters:
        `instance` - The instance
        `methodName` - The method name
        `argsObject` - The arguments
      Returns:
        The result

    - #### public java.lang.Object propertyMissing(java.lang.Object instance, java.lang.String name)

      Prpoerty missing implementation that looks up tag library namespaces or tags in the default namespace

      throws:
        MissingPropertyException When no tag namespace or tag is found
      Parameters:
        `instance` - The tag library instance
        `name` - The property name
      Returns:
        A tag namespace or a tag in the default namespace

    - #### @org.springframework.beans.factory.annotation.Autowired public void setGspTagLibraryLookup(TagLibraryLookup lookup)

    - #### public void setOut(java.lang.Object instance, java.io.Writer newOut)

      Sets the current output writer

      Parameters:
        `instance` - The tag library instance
        `newOut` - The new output writer

    - #### public void setTagLibraryLookup(TagLibraryLookup lookup)

    - #### public void throwTagError(java.lang.Object instance, java.lang.String message)

      Throws a GrailsTagException

      Parameters:
        `instance` - The tag library instance
        `message` - The error message

    - #### public java.lang.Object withCodec(java.lang.Object instance, java.lang.Object codecInfo, groovy.lang.Closure<?> body)